Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 613837 - NullPointerException thrown when you pass an address with link props but without a capacity property
NullPointerException thrown when you pass an address with link props but with...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
Development
All Linux
low Severity high
: 1.3
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 18:21 EDT by Rajith Attapattu
Modified: 2013-02-25 05:46 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 05:46:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajith Attapattu 2010-07-12 18:21:57 EDT
Description of problem:
The following address "amq.topic/usa.#;{link: {name:my-queue}}" will cause the JMS client to throw a null pointer exception as it incorrectly tries to process a capacity option.

Version-Release number of selected component (if applicable):
qpid-java-0.7.946106-6

How reproducible:
Always

Steps to Reproduce:
1. Use the Drain utility included in the qpid-java-examples rpm with the following address.

Ex. ./run_example.sh org.apache.qpid.example.Drain -f 300 "amq.topic/usa.#;{link: {name:my-queue}}"
  
Actual results:
The client throws a null pointer exception

Expected results:
No exception should be shown.

Additional info:
Comment 1 Rajith Attapattu 2010-07-12 22:25:06 EDT
This is committed upstream at rev 958102 in Qpid trunk.

The fix is also ported to our internal git repo.

http://mrg1.lab.bos.redhat.com/cgit/qpid.git/commit/?id=891d02055df68cfef71eafdf82bc7e4b92dee5bc

Note You need to log in before you can comment on or make changes to this bug.